id_paramterer = AgentParametersIDs(id_ap);
AgentParameters = transpose(AllAgentParameters{id_paramterer});

if id_model == 3
    Original_AgentParameters = AgentParameters;
    AgentParameters = (1/100)*AgentParameters(:,2:3);
elseif id_model == 2
    AgentParameters = AgentParameters*7;
end